Package com.pixelmed.web

# Class WebServerApplicationProperties

java.lang.Object
com.pixelmed.web.WebServerApplicationProperties

public class WebServerApplicationProperties extends Object

This class provides common support to applications requiring properties related to web services.

The following properties are supported:

`WebServer.ListeningPort` - the port that an association acceptor will listen on for incoming http connections

`WebServer.RootURL` - the root of the URL by which this host is accessible (e.g., http://www.hostname.com:7091/)

`WebServer.StylesheetPath`

`WebServer.InstanceNameForServiceAdvertising` - the name to use to advertise the service using DNS-SD (Bonjour)

`WebServer.NumberOfWorkers` - the number of connection thread workers

## Constructor Summary

Constructors
Constructor
Description
`WebServerApplicationProperties()`
Create default properties.
`WebServerApplicationProperties(Properties properties)`
Extract the properties from the supplied properties.

## Method Summary

Modifier and Type
Method
Description
`String`
`getInstanceName()`
Return the instance name for service sdvertising.
`int`
`getListeningPort()`
Return the listening port.
`int`
`getNumberOfWorkers()`
Return the number of workers.
`String`
`getRequestTypeToUseForInstances()`
Return the request type to use for displaying instances.
`String`
`getRootURL()`
Return the root URL.
`String`
`getStylesheetPath()`
Return the stylesheet path.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebServerApplicationProperties

public WebServerApplicationProperties()

Create default properties.

### WebServerApplicationProperties

public WebServerApplicationProperties(Properties properties)

Extract the properties from the supplied properties.

Parameters:
  `properties` -

## Method Details

### getRootURL

public String getRootURL()

Return the root URL.

Returns:
  the root URL

### getStylesheetPath

public String getStylesheetPath()

Return the stylesheet path.

Returns:
  the stylesheet path

### getRequestTypeToUseForInstances

public String getRequestTypeToUseForInstances()

Return the request type to use for displaying instances.

Returns:
  the request type to use for displaying instances

### getListeningPort

public int getListeningPort()

Return the listening port.

Returns:
  the listening port

### getInstanceName

public String getInstanceName()

Return the instance name for service sdvertising.

Returns:
  the instance name

### getNumberOfWorkers

public int getNumberOfWorkers()

Return the number of workers.

Returns:
  the number of workers, or -1 if the property is not specified